CREATE TABLE fnd_tree_log_params (
    ENTERPRISE_ID        NUMBER(18, 0),
    LOG_ENTRY_ID         VARCHAR2(128),
    PARAM_NAME           VARCHAR2(256),
    PARAM_VALUE          VARCHAR2(400)    NOT NULL,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    ENTERPRISE_ID        NUMBER(18, 0),
    LOG_ENTRY_ID         VARCHAR2(128),
    PARAM_NAME           VARCHAR2(256),
    PARAM_VALUE          VARCHAR2(400)    NOT NULL,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CONSTRAINT pk_fnd_tree_log_params PRIMARY KEY (ENTERPRISE_ID, LOG_ENTRY_ID, PARAM_NAME, ENTERPRISE_ID, LOG_ENTRY_ID, PARAM_NAME)
);
